CVE-2022-2308

Updated: 2023-11-04 20:43:45.358207

Description:

A flaw was found in vDPA with VDUSE backend. There are currently no checks in VDUSE kernel driver to ensure the size of the device config space is in line with the features advertised by the VDUSE userspace application. In case of a mismatch, Virtio drivers config read helpers do not initialize the memory indirectly passed to vduse_vdpa_get_config() returning uninitialized memory from the stack. This could cause undefined behavior or data leaks in Virtio drivers.


Links NIST CIRCL RHEL Ubuntu

Severity

Severity Score
CVSS Version 2.x 0
CVSS Version 3.x MEDIUM 6.5

Status

OS name Project name Version Score Severity Status Errata Last updated
AlmaLinux 9.2 ESU kernel 5.14.0 6.5 MEDIUM Ignored 2023-11-08 04:07:32
AlmaLinux 9.2 FIPS kernel 5.14.0 6.5 MEDIUM Ignored 2023-11-21 04:12:09
CentOS 6 ELS kernel 2.6.32 6.5 MEDIUM Ignored 2023-10-27 11:07:00
CentOS 7 ELS kernel 3.10.0 6.5 MEDIUM Ignored 2023-10-27 11:07:00
CentOS 8.4 ELS kernel 4.18.0 6.5 MEDIUM Ignored 2023-10-27 11:07:00
CentOS 8.5 ELS kernel 4.18.0 6.5 MEDIUM Ignored 2023-10-27 11:07:00
CloudLinux 6 ELS kernel 2.6.32 6.5 MEDIUM Ignored 2023-10-27 11:07:00
Oracle Linux 6 ELS kernel 2.6.32 6.5 MEDIUM Ignored 2023-10-27 11:07:00
Ubuntu 16.04 ELS linux-hwe 4.15.0 6.5 MEDIUM Not Vulnerable 2023-10-27 03:29:21
Ubuntu 16.04 ELS linux 4.4.0 6.5 MEDIUM Not Vulnerable 2023-10-27 03:29:17
Total: 11